Package org.linphone.core

# Enum Class LimeState

java.lang.Object
java.lang.Enum<LimeState>
org.linphone.core.LimeState

All Implemented Interfaces:
  `Serializable`, `Comparable<LimeState>`, `Constable`

public enum LimeState extends Enum<LimeState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Disabled`
Lime is not used at all.
`Mandatory`
Lime is always used.
`Preferred`
Lime is used only if we already shared a secret with remote.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static LimeState`
`fromInt(int value)`
`protected static LimeState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(LimeState[] values)`
`static LimeState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LimeState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Disabled

public static final LimeState Disabled
Lime is not used at all.

### Mandatory

public static final LimeState Mandatory
Lime is always used.

### Preferred

public static final LimeState Preferred
Lime is used only if we already shared a secret with remote.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static LimeState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LimeState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static LimeState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static LimeState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(LimeState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()